<template>
	<view class="p-apply-inedx g_w_all g_h_all g_bg_f_5 g_kuaishou g-apply-tab">
		<view class="g_h_all">
			<view class="">
				<view class="m-box-fixed" :style="{ top: 0 }" v-if="isLogin">
					<view style="background-color: #fff" class="">
						<view class="m-select">
							<view style="height: 52px" class="g_flex_row_between flex_center g_pr_10">
								<view class="m-search g_pb_0 g_position_rela g_flex_1" style="padding-bottom: 0; padding-left: 12px; padding-right: 12px">
									<u-search @btnSearch="getSearch" height="80" v-model="keyword" placeholder="搜索姓名/职位/手机号" bg-color="#f5f5f5" :show-action="false" @clear="getSearch" @custom="getSearch" @search="getSearch" search-icon-color="#999999" :maxlength="20"></u-search>
									<view class="g_w_all g_h_40 g_position_abso" style="left: 0; top: 0px; z-index: 9999" @click.stop="goSearch"></view>
								</view>
								<view class="g_w_40 g_h_40" @click="addResume">
									<image src="https://bocai-cms.oss-cn-beijing.aliyuncs.com/web-resource/pugongying/addresume.svg" class="g_w_all g_h_all"></image>
								</view>
							</view>
						</view>
					</view>
					<view style="width: 100vw" class="g_border_e_b" v-if="isLogin">
						<!-- item-width="126"  itemWidth="auto"  -->
						<g-tabs :list="tabInfo" :current="menuActive" active-color="#6A81FF" bar-width="60" bar-height="6" font-size="32" @change="handleUpdateMenu" :gutter="22" duration="0.1" height="84"></g-tabs>
					</view>
				</view>
				<!-- <view class="g_h_10" v-if="isLogin"> </view> -->
				<!-- 面板 -->
				<g-list-job from="task" @uploadList="getList('concat')" bg="#f5f5f5" class="g_h_all" :classify="tabInfo[menuActive].classify" :list="query.list" :active="tabInfo.active" @shareJob="shareJob" :loading="loading" :speed="speed" :query="query" :isShowLoginBtn="isLogin ? false : true" :emptyText="isLogin ? (tabInfo.active == 0 || tabInfo.active == 2 ? '嘿，这里还没有数据呢' : '嘿，这里还没有数据呢') : '您还有没有登录，请登录后查看'" :emptySubText="isLogin ? (tabInfo.active == 0 ? '关注发单号，我们会第一时间通知您新的动态' : tabInfo.active == 2 ? '快去试试发布职位吧' : '') : ''" />
			</view>
		</view>
	</view>
</template>

<script>
export default {
	data() {
		return {
			isHaveOrder: -1,
			loading: true,
			speed: -1,
			query: {
				page: 1,
				size: 50,
				list: [],
				isFinish: -1,
			},
			GZHInfo: 0,
			cdnBaseImg: this.G.store().cdnBaseImg,
			keyword: "",

			tabActive: 0,
			tabTip: "",
			tabInfo: [
				{
					name: "新简历",
					classify: "50",
				},
				{
					name: "推工作",
					classify: "60",
				},
				{
					name: "审核中",
					classify: "40",
				},
				{
					name: "跟面试",
					classify: "70",
				},
				{
					name: "跟入职",
					classify: "80",
				},
				{
					name: "跟在职",
					classify: "90",
				},
				{
					name: "已完成",
					classify: "110",
				},
			],
			menuActive: 0,
			isLogin: false,
			loginInfo: {},
			navInfo: {},
		};
	},
	onHide() {
		let that = this;
	},
	onLoad() {},
	created() {
		let that = this;
		// 导航栏高度信息
		// that.isLogin = uni.getStorageSync("apply-token") ? true : false;
		that.isLogin = true;
		console.log("that.isLogin", that.isLogin);
		if (!that.isLogin) {
			that.loading = false;
			that.speed = 0;
		} else {
			this.query.page = 1;
			this.getList();
		}
	},
	onReachBottom() {
		// let that = this;
		// this.G.isLogin();
		// if (this.G.isLogin()) {
		// 	if (that.query.isFinish == -1 || that.query.isFinish == that.query.size) {
		// 		that.query.page++;
		// 		that.getList("concat");
		// 	}
		// }
	},
	methods: {
		getNum() {
			let that = this;
			that.tabInfo = [
				{
					name: "新简历",
					classify: "50",
				},
				{
					name: "推工作",
					classify: "60",
				},
				{
					name: "审核中",
					classify: "40",
				},
				{
					name: "跟面试",
					classify: "70",
				},
				{
					name: "跟入职",
					classify: "80",
				},
				{
					name: "跟在职",
					classify: "90",
				},
				{
					name: "已完成",
					classify: "110",
				},
			];
		},
		getList($type = "init") {
			let that = this;
			that.G.Post(
				that.api.task_list,
				{
					pageNum: that.query.page,
					pageSize: that.query.size,
					classify: that.tabInfo[that.menuActive].classify,
					keys: that.keyword,
				},
				(res) => {
					that.computeCode = 1;
					let classify = that.tabInfo[that.menuActive].classify;
					res.recordList.forEach((item, index) => {
						item.status_notify = that.G.setDeadLine(item.notifyTime || new Date().getTime());
						item.status_after = that.G.setDeadLine(item.willEntryTime || new Date().getTime(), "后入职");
						item.intervie_Time = that.G.getPointTime(item.interviewTime || new Date().getTime(), "MM--DD HH:MM");
						item.willEntry_Time = that.G.getPointTime(item.willEntryTime || new Date().getTime(), "MM--DD HH:MM");
						item.entry_Time = that.G.getPointTime(item.entryTime || new Date().getTime(), "MM--DD HH:MM");
						item.status_text = that.G.setDeadLine(item.entryTime || new Date().getTime(), "在职");
						//  || classify == 120
						if (classify == 110) {
							if (item.statusFailOperateTime) {
								item.statusFailOperate_Time = that.G.getPointTime(item.statusFailOperateTime || new Date().getTime(), "MM--DD HH:MM");
							} else if (item.leaveTime) {
								item.statusFailOperate_Time = that.G.getPointTime(item.leaveTime || new Date().getTime(), "MM--DD HH:MM");
							} else {
								item.statusFailOperate_Time = "";
							}
						}
					});
					if (res.recordCount == 0) {
						that.loading = false;
					} else {
						that.loading = true;
					}
					that.speed = res.recordCount;
					that.query.isFinish = res.recordList.length;
					if ($type == "init") {
						that.query.list = [];
						if (res.recordList.length > 0) {
							that.query.list = res.recordList;
						}
					} else {
						that.query.list = that.query.list.concat(res.recordList);
					}
					console.log("首页 列表：", that.query.list);
				}
			);
		},
		goTel($item) {
			console.log($item);
			if ($item) {
				uni.makePhoneCall({
					phoneNumber: $item,
				});
			}
		},
		getGZHInfo() {},
		/**
		 * 跳转搜索页
		 */
		goSearch() {
			return false;
			this.G.isLogin();
			if (this.G.isLogin()) {
				uni.navigateTo({
					url: `/root/other/search?from=task&classify=${this.tabInfo[this.menuActive].classify}`,
				});
			}
		},
		// 一级tab切换
		handleUpdateTab(e) {
			let that = this;
			this.tabActive = e;
			this.menuActive = 0;
			this.speed = -1;
			this.query.page = 1;
			that.G.isLogin();
			if (that.G.isLogin()) {
				this.getList();
			}
		},
		// 二级tab切换
		handleUpdateMenu($item, $index) {
			let that = this;
			this.menuActive = $item;
			this.speed = -1;
			this.query.page = 1;
			that.G.isLogin();
			if (that.G.isLogin()) {
				this.getList();
			}
		},
		getSearch(e) {},
		goDetail($item, $index) {
			let that = this;
			return false;
			console.log("$item", $item);
			// return
			uni.navigateTo({
				// url: "/root/detail/apply?id=" + $item.id + "&type=" + (that.tabActive + 1),
				url: `/root/detail/apply?id=${$item.id}&type=${that.tabActive + 1}&relationId=${$item.relationId}`,
			});
		},
		goLogin() {
			return false;
			uni.reLaunch({
				url: "/root/login/index",
			});
		},
		toMessage() {
			return false;
			uni.navigateTo({
				url: "/root/person/message",
			});
		},
		addResume() {
			uni.navigateTo({
				url: "/root/detail/fellow?resumeFlag=1&type=add",
			});
		},
	},
	onShareAppMessage: function () {
		return this.G.shareFun();
	},
};
</script>

<style lang="scss">
.apply-header {
	position: fixed;
	left: 50%;
	transform: translateX(-50%);
	.box {
		padding: 0 2px;
		width: 148px;
		height: 32px;
		background-color: #eeeeee;
		border-radius: 4px;
		.item {
			width: 72px;
			height: 28px;
			margin-top: 2px;
			border-radius: 4px;
			.btn {
				font-size: 14px;
				color: #333;
			}
		}
		.item-active {
			background-color: #fff;
		}
	}
}
.p-apply-inedx {
	width: 100vw;
	background-color: #ededed;
	overflow-x: hidden;
	min-height: 100%;

	.bg_shawdoc {
		background: linear-gradient(180deg, #caf1e0 1%, rgba(249, 249, 249, 0));
	}

	.suffix {
		position: absolute;
		right: 20rpx;
		top: 10px;
		z-index: 1;
		border-top-right-radius: 110rpx;
		border-bottom-right-radius: 110rpx;
	}

	.tab-fixed {
		position: fixed;
		left: 0;
		top: 0;
		width: 100%;
		height: calc(112rpx + 36px);
		background-color: #fff;
		z-index: 1;
	}

	.m-search {
		.u-icon-wrap {
		}
	}

	.m-search-active {
		.u-icon-wrap {
			position: inherit;
			left: 0rpx;
		}
	}

	.m-select {
		.u-tab-bar {
			bottom: 5px !important;
		}

		.link {
			.item {
				.doc {
					bottom: 0;
					left: 50%;
					transform: translateX(-50%);
				}
			}
		}

		.showdoc {
			// box-shadow: 0 2px 4px rgba(0, 0, 0, .04), 0 0 6px rgba(0, 0, 0, .02);
			border-bottom: 1rpx solid #eee;
			overflow-x: "auto";
			width: 100vw;

			.menu-obj {
				min-width: 422px;

				.menu-btn {
					margin-right: 8px;

					.btn {
						background: rgba(204, 204, 204, 0.2);
						color: #666666;
					}

					&:first-child {
						margin-left: 12px;
					}
				}

				.menu-active {
					.btn {
						background: rgba(0, 182, 102, 0.1);
						color: #6a81ff;
					}
				}
			}
		}
	}
	.m-login-false {
		height: calc(100% - 92px);
		.m-panel,
		.link {
			height: 100%;
			.m-log {
				height: 100%;
			}
		}
	}
	.m-panel {
		min-height: 100%;
	}
	.m-box-fixed {
		// position: fixed;
		// left: 0;
		// top: 92px;
		width: 100vw;
		// background-color: #fff;
		// z-index: 999;
	}
}
</style>
